<?php if (!defined('IN_GS')) {die('you cannot load this page directly.');}

/**
 * Article Manager htaccess page
 */

?>

<h3>.htaccess</h3>
<?php
  if ($AMPAGEURL == ''
    || !in_array(trim($PERMALINK), array('','%parent%/%slug%','%parent%/%slug%/','%slug%','%slug%/'))
    || count(array_diff(array(AMPARAMPOST,AMPARAMPAGE,AMPARAMTAG,AMPARAMARCHIVE),array('post','page','tag','archive'))) > 0
    || (defined('AMNOPARAMPOST') && AMNOPARAMPOST)
    ) {
?>
<div class="error">
  Failed to generate a .htaccess sample for the current site settings
</div>
<?php } else { ?>
<p>
  <?php i18n('article_manager/HTACCESS_HELP'); ?>
  <pre style="padding: 5px; background: #f7f7f7; border: 1px solid #eee;"><?php echo $htaccess; ?></pre>
</p>
<?php } ?>
<form class="largeform" action="load.php?id=article_manager" method="post" accept-charset="utf-8">
  <p class="hint">
    <?php i18n("article_manager/GO_BACK_WHEN_DONE"); ?>
  </p>
  <p id="submit_line">
    <span>
      <input class="submit" type="submit" value="<?php i18n("article_manager/FINISHED"); ?>" />
    </span>
  </p>
</form>
