<?php if (!defined('IN_GS')) {die('you cannot load this page directly.');}

/**
 * Common variables used by the GetSimple Article Manager Plugin.
 */

# path definitions
define('AMPOSTPATH', GSDATAPATH  . 'articles/');
define('AMBACKUPPATH', GSBACKUPSPATH  . 'articles/');
define('AMDATAPATH', GSDATAOTHERPATH  . 'article_manager/');
define('AMINCPATH', GSPLUGINPATH . 'article_manager/inc/');
define('AMLANGPATH', GSPLUGINPATH . 'article_manager/lang/');
define('AMTEMPLATEPATH', GSPLUGINPATH . 'article_manager/template/');

# file definitions
define('AMSETTINGS', AMDATAPATH . 'settings.xml');
define('AMPOSTCACHE', AMDATAPATH . 'posts.xml');

# URL parameters
if (!defined('AMPARAMPOST'))    define('AMPARAMPOST', 'post');
if (!defined('AMPARAMPAGE'))    define('AMPARAMPAGE', 'page');
if (!defined('AMPARAMARCHIVE')) define('AMPARAMARCHIVE', 'archive');
if (!defined('AMPARAMTAG'))     define('AMPARAMTAG', 'tag');
if (!defined('AMFIRSTPAGE'))    define('AMFIRSTPAGE', 1);

# includes
require_once(AMINCPATH . 'functions.php');
require_once(AMINCPATH . 'settings.php');
require_once(AMINCPATH . 'cache.php');
require_once(AMINCPATH . 'admin.php');
require_once(AMINCPATH . 'posts.php');
require_once(AMINCPATH . 'site.php');
require_once(AMINCPATH . 'sidebar.php');


# load settings
$data = @getXML(AMSETTINGS);
$AMPAGEURL       = isset($data->page_url) ? $data->page_url : ''; // default: no slug selected
$AMPRETTYURLS    = isset($data->pretty_urls) ? $data->pretty_urls : '';
$AMLANG          = isset($data->language) ? $data->language : 'en_US';
$AMSHOWEXCERPT   = isset($data->show_excerpt) ? $data->show_excerpt : '';
$AMEXCERPTLENGTH = isset($data->excerpt_length) ? $data->excerpt_length : '350';
$AMPOSTSPERPAGE  = isset($data->posts_per_page) ? $data->posts_per_page : '8';
$AMRECENTPOSTS   = isset($data->recent_posts) ? $data->recent_posts : '5';
# new settings (since 3.0)
$AMSETTING = array();
$AMSETTING['archivesby'] = isset($data->archivesby) ? $data->archivesby : 'm';
$AMSETTING['readmore'] = isset($data->readmore) ? $data->readmore : ((defined('AM2COMPAT') && AM2COMPAT) ? 'N' : 'R');
$AMSETTING['titlelink'] = isset($data->titlelink) ? $data->titlelink : 'Y';
$AMSETTING['gobacklink'] = isset($data->gobacklink) ? $data->gobacklink : 'B';
$AMSETTING['images'] = isset($data->images) ? $data->images : 'N';
$AMSETTING['imagewidth'] = isset($data->imagewidth) ? $data->imagewidth : '';
$AMSETTING['imageheight'] = isset($data->imageheight) ? $data->imageheight : '';
$AMSETTING['imagecrop'] = isset($data->imagecrop) ? $data->imagecrop : '';
$AMSETTING['imagealt'] = isset($data->imagealt) ? $data->imagealt : '';
$AMSETTING['imagelink'] = isset($data->imagelink) ? $data->imagelink : '';
$AMSETTING['enablecustomsettings'] = isset($data->enablecustomsettings) ? $data->enablecustomsettings : '';
$AMSETTING['customsettings'] = isset($data->customsettings) ? $data->customsettings : '';

# other globals
$AMPARENTURL = '?'; // to be assigned elsewhere

?>